## Deposit into account

**post** `/api/v1/accounts/{id}/deposit`

Deposit into account

### Path Parameters

- `id: string`

### Body Parameters

- `amount: string`

- `description: optional string`

### Returns

- `account: Account`

  - `id: string`

  - `account_number: string`

  - `account_type: "checking" or "saving"`

    - `"checking"`

    - `"saving"`

  - `balance: string`

  - `currency: string`

  - `environment: string`

  - `status: "active" or "suspended" or "closed"`

    - `"active"`

    - `"suspended"`

    - `"closed"`

  - `user_id: string`

  - `admin_user_id: optional string`

  - `created_at: optional string`

  - `organization_id: optional string`

  - `updated_at: optional string`

  - `user_role: optional string`

- `transaction: Transaction`

  - `id: string`

  - `account_id: string`

  - `amount: string`

  - `balance_after: string`

  - `created_at: string`

  - `currency: string`

  - `status: "pending" or "completed" or "failed" or "cancelled"`

    - `"pending"`

    - `"completed"`

    - `"failed"`

    - `"cancelled"`

  - `transaction_type: "deposit" or "withdrawal" or "transfer" or 2 more`

    - `"deposit"`

    - `"withdrawal"`

    - `"transfer"`

    - `"recurring_payment"`

    - `"savings_withdraw"`

  - `updated_at: string`

  - `description: optional string`

  - `external_recipient_id: optional string`

  - `recipient_account_id: optional string`

  - `reference_id: optional string`

### Example

```http
curl https://accounts-service-staging.up.railway.app/api/v1/accounts/$ID/deposit \
    -H 'Content-Type: application/json' \
    -H "X-API-Key: $RAILS_API_KEY" \
    -d '{
          "amount": "amount"
        }'
```

#### Response

```json
{
  "account": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "account_number": "account_number",
    "account_type": "checking",
    "balance": "balance",
    "currency": "currency",
    "environment": "environment",
    "status": "active",
    "user_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "admin_user_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "organization_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "user_role": "user_role"
  },
  "transaction": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "account_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "amount": "amount",
    "balance_after": "balance_after",
    "created_at": "2019-12-27T18:11:19.117Z",
    "currency": "currency",
    "status": "pending",
    "transaction_type": "deposit",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "description": "description",
    "external_recipient_id": "external_recipient_id",
    "recipient_account_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "reference_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  }
}
```
